Subject: Re: bug#350: ido-mode not compatible with url-handler-mode

From: Stefan Monnier <[email-masked]>
Date: Sat, 13 Jul 2013 16:07:01 -0400

>> So really there is no bug here - it's one of the IMO very minor
>> problems of using ido.
> I intend to close this bug if no one objects.

No, it should be fixed instead.  The fix is pretty simple: make
url-file-name-completion and url-file-name-all-completions return
a valid value which represents the fact that we don't know what could be
the completions ("everything could be a valid completion") instead of
signaling an error.

        Stefan